#ifndef GEODESY_H
#define GEODESY_H

#include <math.h>

inline double to_rad(double angle);

inline double to_deg(double angle);

inline double decimal_deg(int degrees, int minutes, double seconds);

double shortest_angle (double from_angle, double to_angle);

void vincenty_inverse (double lon1, double lat1, double lon2, double lat2, double h,
	double *s, double *a1, double *a2);

void vincenty_direct (double lon1, double lat1, double brng, double dist, double h,
	double *lon2, double *lat2);

void xyz2llh (double X,double Y,double Z, double *lon, double *lat, double *h);

void llh2xyz (double lon, double lat, double h, double *x, double *y, double *z);

void genmsg_data (double lon, double lat, double height, double course, double speed,
	double *x1, double *y1, double *z1,
	double *dx, double *dy, double *dz);

#endif
